﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace CommunityDetection
{
	public class MatthijsExp : CandidatesGenerator
	{
		public MatthijsExp()
		{
		}

		public override string abbr()
		{
			return "MatthijsExp";
		}
		protected override ThreadSafeQueue<Community> generate(ThreadSafeQueue<Community> queue)
		{
			string file ="D:/Projecten/Afstuderen/svn/data/candidates.txt";
			StreamReader reader = new StreamReader(file);
			string line = reader.ReadLine();
			while (line != null)
			{
				string[] parts = line.Trim().Split(' ');
				Community c = new Community(graph);
				foreach (string s in parts)
				{
					c.AddVertice(int.Parse(s) - 1);
				}
				queue.Enqueue(c);
				line = reader.ReadLine();
			}
			reader.Close();
			return queue;
		}

	}
}
